<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.2"?>
<plugin>
   <extension-point id="extensions" name="%extensions" schema="schema/extensions.exsd"/>
   <extension
         id="twisterExtensions"
         name="Twister Swing Standard Extensions"
         point="net.sf.jame.twister.swing.extensions">
      <inputAdapter
            id="twister.effect.spot"
            name="SpotInputAdapter"
            runtimeClass="net.sf.jame.twister.swing.extensions.adapter.SpotInputAdapterRuntime"/>
      <inputAdapter
            id="twister.frame.filter.motionBlur"
            name="MotionBlurInputAdapter"
            runtimeClass="net.sf.jame.twister.swing.extensions.adapter.MotionBlurInputAdapterRuntime"/>
      <editor
            id="node.class.ColorElement"
            name="ColorElement"
            runtimeClass="net.sf.jame.twister.swing.extensions.editor.ColorElementEditorRuntime"/>
      <editor
            id="node.class.StringElement"
            name="StringElement"
            runtimeClass="net.sf.jame.twister.swing.extensions.editor.StringElementEditorRuntime"/>
      <editor
            id="node.class.BooleanElement"
            name="BooleanElement"
            runtimeClass="net.sf.jame.twister.swing.extensions.editor.BooleanElementEditorRuntime"/>
      <editor
            id="node.class.PercentageElement"
            name="PercentageElement"
            runtimeClass="net.sf.jame.twister.swing.extensions.editor.PercentageElementEditorRuntime"/>
      <editor
            id="node.class.PaletteElement"
            name="RenderedPaletteElement"
            runtimeClass="net.sf.jame.twister.swing.extensions.editor.PaletteElementEditorRuntime"/>
      <editor
            id="node.class.ViewElement"
            name="ViewElement"
            runtimeClass="net.sf.jame.twister.swing.extensions.editor.ViewElementEditorRuntime"/>
      <editor
            id="node.class.SpeedElement"
            name="SpeedElement"
            runtimeClass="net.sf.jame.twister.swing.extensions.editor.SpeedElementEditorRuntime"/>
      <editor
            id="node.class.ComplexElement"
            name="ComplexElement"
            runtimeClass="net.sf.jame.twister.swing.extensions.editor.ComplexElementEditorRuntime"/>
      <editor
            id="node.class.RectangleElement"
            name="RectangleElement"
            runtimeClass="net.sf.jame.twister.swing.extensions.editor.RectangleElementEditorRuntime"/>
      <editor
            id="node.class.FrameFilterElementList"
            name="FrameFilterElementList"
            runtimeClass="net.sf.jame.twister.swing.extensions.editor.FrameFilterElementListEditorRuntime"/>
      <editor
            id="node.class.LayerFilterElementList"
            name="LayerFilterElementList"
            runtimeClass="net.sf.jame.twister.swing.extensions.editor.LayerFilterElementListEditorRuntime"/>
      <editor
            id="node.class.ImageLayerElementList"
            name="ImageLayerElementList"
            runtimeClass="net.sf.jame.twister.swing.extensions.editor.ImageLayerElementListEditorRuntime"/>
      <editor
            id="node.class.GroupLayerElementList"
            name="GroupLayerElementList"
            runtimeClass="net.sf.jame.twister.swing.extensions.editor.GroupLayerElementListEditorRuntime"/>
      <editor
            id="node.class.FrameFilterElement"
            name="FrameFilterElement"
            runtimeClass="net.sf.jame.twister.swing.extensions.editor.FrameFilterElementEditorRuntime"/>
      <editor
            id="node.class.LayerFilterElement"
            name="LayerFilterElement"
            runtimeClass="net.sf.jame.twister.swing.extensions.editor.LayerFilterElementEditorRuntime"/>
      <editor
            id="node.class.FrameFilterReference"
            name="FrameFilterReference"
            runtimeClass="net.sf.jame.twister.swing.extensions.editor.FrameFilterReferenceEditorRuntime"/>
      <editor
            id="node.class.LayerFilterReference"
            name="LayerFilterReference"
            runtimeClass="net.sf.jame.twister.swing.extensions.editor.LayerFilterReferenceEditorRuntime"/>
      <editor
            id="node.class.ImageLayerElement"
            name="ImageLayerElement"
            runtimeClass="net.sf.jame.twister.swing.extensions.editor.ImageLayerElementEditorRuntime"/>
      <editor
            id="node.class.GroupLayerElement"
            name="GroupLayerElement"
            runtimeClass="net.sf.jame.twister.swing.extensions.editor.GroupLayerElementEditorRuntime"/>
      <editor
            id="node.class.ImageElement"
            name="ImageElement"
            runtimeClass="net.sf.jame.twister.swing.extensions.editor.ImageElementEditorRuntime"/>
      <editor
            id="node.class.ImageReference"
            name="ImageReference"
            runtimeClass="net.sf.jame.twister.swing.extensions.editor.ImageReferenceEditorRuntime"/>
      <editor
            id="node.class.FrameElement"
            name="FrameElement"
            runtimeClass="net.sf.jame.twister.swing.extensions.editor.FrameElementEditorRuntime"/>
      <editor
            id="node.class.EffectElement"
            name="EffectElement"
            runtimeClass="net.sf.jame.twister.swing.extensions.editor.EffectElementEditorRuntime"/>
      <editor
            id="node.class.EffectReference"
            name="EffectReference"
            runtimeClass="net.sf.jame.twister.swing.extensions.editor.EffectReferenceEditorRuntime"/>
      <editor
            id="node.class.DoubleElement"
            name="DoubleElement"
            runtimeClass="net.sf.jame.twister.swing.extensions.editor.DoubleElementEditorRuntime">
      </editor>
      <editor
            id="node.class.FloatElement"
            name="FloatElement"
            runtimeClass="net.sf.jame.twister.swing.extensions.editor.FloatElementEditorRuntime">
      </editor>
      <editor
            id="node.class.IntegerElement"
            name="IntegerElement"
            runtimeClass="net.sf.jame.twister.swing.extensions.editor.IntegerElementEditorRuntime">
      </editor>
      <editor
            id="node.class.LongElement"
            name="LongElement"
            runtimeClass="net.sf.jame.twister.swing.extensions.editor.LongElementEditorRuntime">
      </editor>
      <editor
            id="node.class.ShortElement"
            name="ShortElement"
            runtimeClass="net.sf.jame.twister.swing.extensions.editor.ShortElementEditorRuntime">
      </editor>
   </extension>

</plugin>
